Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003237KdenliveMLTpublic2014-03-29 00:592014-06-04 02:34
Reportervarchar 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusnewResolutionreopened 
Platform64 bitOSGentoo LinuxOS Version
Product VersionRecent git 
Target VersionFixed in Version 
Summary0003237: Make filters on GPU (Movit based) optional
DescriptionIt's very sad that kdenlive becomes second lightworks in sense of system requirements. I do not have powerful video card, do not want to use proprietary driver but I want kdenlive. Please allow! May be add some configure flag, like for frei0r's filters, or something else.
TagsNo tags attached.
Build/Install MethodManual build from Git
Attached Fileslog file icon make-check.log [^] (38,618 bytes) 2014-04-01 23:25 [Show Content]
txt file icon varchar-glxinfo.txt [^] (58,498 bytes) 2014-04-01 23:33 [Show Content]

- Relationships

-  Notes
(0009827)
maverickp (reporter)
2014-03-29 22:39

Me too.
(0009832)
Sesse (developer)
2014-03-30 03:03

Hi,

What kind of video card is it that you have that doesn't support Movit? (Have you actually tried?) OpenGL 2.1 came out eight years ago.

Note that there is only so long you can expect to run a graphical Linux system at all without a GPU; more and more systems require compositing, and at some point, supporting a decade old machines just isn't worth it anymore.
(0009838)
varchar (reporter)
2014-03-30 23:16

Hello. I use kdenlive on old (2000y) but good for my simple needs ?ompaq armada e500 laptop with ATI mach64 video card. Today - half a day, for example. That's may be a laugh end I'm a retrograde... But I want be able to update to less buggy and glucky latest kdenlive versions.
(0009839)
Sesse (developer)
2014-03-30 23:26

OK, if you think it is important for Kdenlive to support fifteen year old laptops (at the expense of working on one of the other 800 open bugs in the bug tracker), then either write a patch, or convince someone else to do so. In the end, I guess it's j-b-m's call what goes in or out.
(0009840)
varchar (reporter)
2014-03-30 23:41

OK, if you think it is important for kdenlive to filter on GPU (at the expense of working on one of the other 800 open bugs in the bug tracker)........
(0009841)
Sesse (developer)
2014-03-30 23:42
edited on: 2014-03-30 23:43

...then I should write a patch? Yes, I did that. And I certainly do.

(0009845)
varchar (reporter)
2014-03-31 13:19

You are the man! Ok, forget.

BTW, can't compile Movit 1.0.3 from your home pahe. After """ ./configure && make """ got the following error:

""" g++ -MMD -MP -Wall -g -O2 -I/usr/src/gtest/include -I/usr/include/eigen3 -I/usr/include/GL -o effect_chain_test.o -c effect_chain_test.cpp
effect_chain_test.cpp:11:25: fatal error: gtest/gtest.h: No such file or directory
compilation terminated.
make: *** [effect_chain_test.o] Error 1 """

Can you help me with it?
(0009846)
Sesse (developer)
2014-03-31 13:50

As the README says, you need to install Google Test (libtest). Your distribution should probably have a package; if not, you can get it from

  https://code.google.com/p/googletest/ [^]

You also need Eigen (http://eigen.tuxfamily.org/index.php?title=Main_Page [^]) and GLEW (http://glew.sourceforge.net/ [^]). For Movit 1.1 (ie., what's in git), GLEW has been replaced by libepoxy.
(0009847)
varchar (reporter)
2014-03-31 14:48

Thank you.

With package management system (portage) I installed:
gtest-1.7.0
eigen-3.1.3
glew-1.9.0

and run into another problems. 1-st:

""" g++ -MMD -MP -Wall -g -O2 -I/usr/src/gtest/include -I/usr/include/eigen3 -I/usr/include/GL -o effect_chain_test.o -c effect_chain_test.cpp
make: *** No rule to make target `/usr/src/gtest/src/gtest-all.cc', needed by `gtest-all.o'. Stop. """

which I solved by placing gtest src to /usr/src/gtest/
( may be it must be done by package manager and I should report a bug about it? )

2-nd:

""" /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/../../../../x86_64-pc-linux-gnu/bin/ld: note: 'glDeleteTextures' is defined in DSO /usr/lib64/libGL.so.1 so try adding it to the linker command line
/usr/lib64/libGL.so.1: could not read symbols: Invalid operation
collect2: error: ld returned 1 exit status
make: *** [effect_chain_test] Error 1 """

Should I build mesa with debug symbols?
(0009848)
Sesse (developer)
2014-03-31 14:51

There's no defined directory for Google Test, unfortunately; you can give make GTEST_DIR=/path/to/gtest if you don't want to put it in /usr/src.

The second sounds more like an issue with your GLEW installation, but you'd need to tell me the command line that caused it. And probably also what /usr/lib/libGL.so.1 points to. Debug symbols are not relevant here.
(0009849)
varchar (reporter)
2014-03-31 15:14

About 2-nd... The commands was "./configure && make" in freshly unpacked "movit-1.0.3" directory. libGL.so.1 points to opengl/xorg-x11/lib/libGL.so.1.2.0

# ls -lh /usr/lib/libGL.so.1
lrwxrwxrwx 1 root root 34 Mar 31 04:35 /usr/lib/libGL.so.1 -> opengl/xorg-x11/lib/libGL.so.1.2.0
(0009850)
Sesse (developer)
2014-03-31 15:19

No, I mean which line during compilation that fails. “make” runs hundreds of commands, and it's not clear to me which of them failed.

Most likely it starts with libtool --mode=link. Paste everything from there.
(0009851)
varchar (reporter)
2014-03-31 15:26

Ah, here the full log, please - http://paste.opensuse.org/1120501 [^]
(0009852)
Sesse (developer)
2014-03-31 15:35

Oh, I see it now; it's an issue with how GLEW works (it will be fixed with libepoxy). Please add -lGL to the end of LDLIBS in Makefile (or Makefile.in if you want it to survive ./configure), and try again.

This is already fixed for 1.1, since epoxy works differently.
(0009853)
varchar (reporter)
2014-03-31 16:46

That did the trick. Finally movit compiles an installs.

Now MLT from git fails to build with "--enable-opengl". Build log can be seen at http://paste.opensuse.org/view/raw/45940130 [^]
(0009854)
Sesse (developer)
2014-03-31 16:52

That's weird; it should pick up the -lGLEW from the .pc file. What does the installed movit.pc file look like?
(0009855)
varchar (reporter)
2014-03-31 16:59

# Movit pkg-config source file.

prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include
datarootdir=${prefix}/share
datadir=${datarootdir}
shaderdir=${datarootdir}/movit

Name: movit
Description: Movit is a library for high-quality, high-performance video filters.
Version: git
Requires:
Conflicts:
Libs: -lmovit
Libs.private: -L/usr/lib -lGLEW -lfftw3 -lm
Cflags: -I${includedir}/movit -I/usr/include/eigen3 -I/usr/include/GL
(0009856)
varchar (reporter)
2014-03-31 17:23

Just for some clarification: last time command that build and installs movit was with prefix - "./configure prefix=/usr && make && make install". I also recently modified MLT ebuild so now MLT configures with "--enable-kdenlive". But fails to build with same result...
(0009858)
Sesse (developer)
2014-03-31 19:29

Looking more closely, movit.pc is actually right here, and the issue lies with MLT. (I know the MLT people are working heavily on this kind of issue, so bear with us :-) ) But if you just want a quick fix, find src/modules/opengl/Makefile (in MLT) and add -lGLEW to the end of the line that does LDFLAGS += $(shell pkg-config --libs movit 2> /dev/null).

Sorry this has caused so much problems; you're hitting things right in the middle of a transition, and most people are probably isolated from this since they are using distribution packages.
(0009859)
varchar (reporter)
2014-03-31 20:21

Yes! Now it works. And greeting me with error messages:

""" QCoreApplication::postEvent: Unexpected null receiver
"[filter avcolor_space] Invalid format glsl_texture"
"[filter avcolor_space] Invalid format glsl_texture" """

Thank you for the help. And it is okay. I'm on gentoo, where readiness to fail is our power :)
(0009860)
Sesse (developer)
2014-03-31 20:24

That sounds like you compiled MLT without --enable-opengl --enable-gpl?
(0009861)
varchar (reporter)
2014-03-31 20:40

With, as for my understanding. Please take a look at portion of build log here - http://paste.opensuse.org/view/raw/19513766 [^]
(0009862)
Sesse (developer)
2014-03-31 20:43

OK, and if you've rebuilt Kdenlive against this MLT compile (please double-check), you shouldn't get these messages.

When do they come, anyway?
(0009863)
varchar (reporter)
2014-03-31 21:08

I just recompiled Kdenlive after successful installs of Movit and git MLT. What additional checks required?

Errors appears just after first click on timeline or inside preview in Kdenlive window. Also preview looks strange, will attach screenshot if you want.
(0009864)
Sesse (developer)
2014-03-31 21:10

I just wanted to check that your Kdenlive is actually linked against the MLT you just compiled, and not an older version. You can check this with ldd on your kdenlive library.

If you still get these messages, please file a bug with MLT.
(0009865)
varchar (reporter)
2014-03-31 21:18

May be you mean binary? If so:

$ ldd /usr/bin/kdenlive
        linux-vdso.so.1 (0x00007fff88b9a000)
        libkdeui.so.5 => /usr/lib64/libkdeui.so.5 (0x00007fd11beed000)
        libkio.so.5 => /usr/lib64/libkio.so.5 (0x00007fd11ba53000)
        libknewstuff3.so.4 => /usr/lib64/libknewstuff3.so.4 (0x00007fd11b7dd000)
        libknotifyconfig.so.4 => /usr/lib64/libknotifyconfig.so.4 (0x00007fd11b5ca000)
        libsolid.so.4 => /usr/lib64/libsolid.so.4 (0x00007fd11b311000)
        libQtOpenGL.so.4 => /usr/lib64/qt4/libQtOpenGL.so.4 (0x00007fd11b011000)
        libQtScript.so.4 => /usr/lib64/qt4/libQtScript.so.4 (0x00007fd11ab6e000)
        libQtSvg.so.4 => /usr/lib64/qt4/libQtSvg.so.4 (0x00007fd11a915000)
        libQtGui.so.4 => /usr/lib64/qt4/libQtGui.so.4 (0x00007fd119c6f000)
        libQtDBus.so.4 => /usr/lib64/qt4/libQtDBus.so.4 (0x00007fd1199f0000)
        libQtXml.so.4 => /usr/lib64/qt4/libQtXml.so.4 (0x00007fd1197a9000)
        libQtCore.so.4 => /usr/lib64/qt4/libQtCore.so.4 (0x00007fd1192c7000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fd1190aa000)
        libmlt.so.6 => /usr/lib64/libmlt.so.6 (0x00007fd118e78000)
        libmlt++.so.3 => /usr/lib64/libmlt++.so.3 (0x00007fd118c56000)
        libGLU.so.1 => /usr/lib64/libGLU.so.1 (0x00007fd1189d6000)
        libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007fd11876a000)
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007fd11842e000)
        libnepomukcore.so.4 => /usr/lib64/libnepomukcore.so.4 (0x00007fd11811c000)
        libqjson.so.0 => /usr/lib64/libqjson.so.0 (0x00007fd117ef4000)
        libkdecore.so.5 => /usr/lib64/libkdecore.so.5 (0x00007fd117a1e000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/libstdc++.so.6 (0x00007fd117717000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fd11741a000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fd11706d000)
        libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007fd116e65000)
        libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007fd116c49000)
        libattica.so.0.4 => /usr/lib64/libattica.so.0.4 (0x00007fd11694f000)
        libQtNetwork.so.4 => /usr/lib64/qt4/libQtNetwork.so.4 (0x00007fd116604000)
        libdbusmenu-qt.so.2 => /usr/lib64/libdbusmenu-qt.so.2 (0x00007fd1163d0000)
        libXtst.so.6 => /usr/lib64/libXtst.so.6 (0x00007fd1161ca000)
        libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007fd115fbf000)
        libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007fd115db9000)
        libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007fd115baf000)
        libstreamanalyzer.so.0 => /usr/lib64/libstreamanalyzer.so.0 (0x00007fd11592c000)
        libphonon.so.4 => /usr/lib64/libphonon.so.4 (0x00007fd1156c4000)
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fd11540a000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fd115206000)
        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.3/libgcc_s.so.1 (0x00007fd114ff0000)
        libz.so.1 => /lib64/libz.so.1 (0x00007fd114dd9000)
        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007fd114aad000)
        libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007fd114871000)
        libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007fd114661000)
        libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00007fd114457000)
        libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007fd11421a000)
        libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007fd114008000)
        libdbus-1.so.3 => /usr/lib64/libdbus-1.so.3 (0x00007fd113dca000)
        librt.so.1 => /lib64/librt.so.1 (0x00007fd113bc2000)
        /lib64/ld-linux-x86-64.so.2 (0x00007fd11c560000)
        libglapi.so.0 => /usr/lib64/libglapi.so.0 (0x00007fd11399a000)
        libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007fd113797000)
        libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007fd113595000)
        libxcb-glx.so.0 => /usr/lib64/libxcb-glx.so.0 (0x00007fd11337c000)
        libxcb-dri2.so.0 => /usr/lib64/libxcb-dri2.so.0 (0x00007fd113177000)
        libxcb-dri3.so.0 => /usr/lib64/libxcb-dri3.so.0 (0x00007fd112f74000)
        libxcb-present.so.0 => /usr/lib64/libxcb-present.so.0 (0x00007fd112d71000)
        libxcb-sync.so.1 => /usr/lib64/libxcb-sync.so.1 (0x00007fd112b6a000)
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007fd112949000)
        libxshmfence.so.1 => /usr/lib64/libxshmfence.so.1 (0x00007fd112746000)
        libXxf86vm.so.1 => /usr/lib64/libXxf86vm.so.1 (0x00007fd112540000)
        libdrm.so.2 => /usr/lib64/libdrm.so.2 (0x00007fd112334000)
        libsoprano.so.4 => /usr/lib64/libsoprano.so.4 (0x00007fd11203c000)
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007fd111e2a000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fd111c25000)
        libssl.so.1.0.0 => /usr/lib64/libssl.so.1.0.0 (0x00007fd1119b8000)
        libcrypto.so.1.0.0 => /usr/lib64/libcrypto.so.1.0.0 (0x00007fd1115d5000)
        libstreams.so.0 => /usr/lib64/libstreams.so.0 (0x00007fd11139d000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007fd111036000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007fd110e0b000)
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007fd110c07000)
        libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007fd110a01000)
        libicuuc.so.51 => /usr/lib64/libicuuc.so.51 (0x00007fd11068b000)
        libicudata.so.51 => /usr/lib64/libicudata.so.51 (0x00007fd10ef3f000)

If not, please tell me on which file I must run ldd.
(0009866)
Sesse (developer)
2014-03-31 21:21

This is the right file. Does /usr/lib64/libmlt.so.6 and /usr/lib64/libmlt++.so.3 match the library you just compiled?
(0009867)
varchar (reporter)
2014-03-31 21:26

Locks like yes:..

$ ls -l /usr/lib64/libmlt.so.6 /usr/lib64/libmlt++.so.3
lrwxrwxrwx 1 root root 17 Mar 31 21:35 /usr/lib64/libmlt++.so.3 -> libmlt++.so.0.9.1
lrwxrwxrwx 1 root root 15 Mar 31 21:35 /usr/lib64/libmlt.so.6 -> libmlt.so.0.9.1
(0009868)
Sesse (developer)
2014-03-31 21:33

OK, then you'll need to file a bug with MLT to figure out why this happens.
(0009887)
Sesse (developer)
2014-04-01 23:04

By the way, I take it that you've already run the Movit unit tests, right? "make check" should test that everything is okay with your setup.
(0009888)
varchar (reporter)
2014-04-01 23:25

No. Don't know about test early. Many of them fails. Attached output of "$ make check > make-check.log".
(0009889)
Sesse (developer)
2014-04-01 23:29

OK, there are obviously rounding/accuracy issues in either your GPU or your drivers, but basic OpenGL works. I might have asked you before, but could you paste the output of glxinfo?
(0009890)
varchar (reporter)
2014-04-01 23:37

Attached to the report.
(0009891)
Sesse (developer)
2014-04-01 23:48

OpenGL renderer string: Gallium 0.4 on AMD RV620
OpenGL core profile version string: 3.1 (Core Profile) Mesa 10.1.0

So. You are running an eight year old GPU. Using Gallium. With a driver that defaults to core profile.

I am closing this bug. Please take tech support issues on how to get a working OpenGL setup to your distribution.
(0009892)
varchar (reporter)
2014-04-01 23:52

This bug not about my setup. But about kdenlive future without (or with optional movit). Reopened.
(0010057)
ttguy (reporter)
2014-05-21 16:57

version 0.9.8 is now out and it will start with out movit initialization errors. So we can probably close this.
(0010068)
varchar (reporter)
2014-06-04 02:34

ttguy, what? Who are yours "we"? You just, like me, reporter so... better go-go far-far away from here! Such (good and useful (no joke) ) thing (movit) may and must be optional. IMHO. Pediod. This is what this is bug about.

- Issue History
Date Modified Username Field Change
2014-03-29 00:59 varchar New Issue
2014-03-29 22:39 maverickp Note Added: 0009827
2014-03-30 03:03 Sesse Note Added: 0009832
2014-03-30 03:06 Sesse Priority high => normal
2014-03-30 03:06 Sesse Severity block => feature
2014-03-30 23:16 varchar Note Added: 0009838
2014-03-30 23:26 Sesse Note Added: 0009839
2014-03-30 23:41 varchar Note Added: 0009840
2014-03-30 23:42 Sesse Note Added: 0009841
2014-03-30 23:43 Sesse Note Edited: 0009841 View Revisions
2014-03-31 13:19 varchar Note Added: 0009845
2014-03-31 13:50 Sesse Note Added: 0009846
2014-03-31 14:48 varchar Note Added: 0009847
2014-03-31 14:51 Sesse Note Added: 0009848
2014-03-31 15:14 varchar Note Added: 0009849
2014-03-31 15:19 Sesse Note Added: 0009850
2014-03-31 15:26 varchar Note Added: 0009851
2014-03-31 15:35 Sesse Note Added: 0009852
2014-03-31 16:46 varchar Note Added: 0009853
2014-03-31 16:52 Sesse Note Added: 0009854
2014-03-31 16:59 varchar Note Added: 0009855
2014-03-31 17:23 varchar Note Added: 0009856
2014-03-31 19:29 Sesse Note Added: 0009858
2014-03-31 20:21 varchar Note Added: 0009859
2014-03-31 20:24 Sesse Note Added: 0009860
2014-03-31 20:40 varchar Note Added: 0009861
2014-03-31 20:43 Sesse Note Added: 0009862
2014-03-31 21:08 varchar Note Added: 0009863
2014-03-31 21:10 Sesse Note Added: 0009864
2014-03-31 21:18 varchar Note Added: 0009865
2014-03-31 21:21 Sesse Note Added: 0009866
2014-03-31 21:26 varchar Note Added: 0009867
2014-03-31 21:33 Sesse Note Added: 0009868
2014-04-01 23:04 Sesse Note Added: 0009887
2014-04-01 23:25 varchar File Added: make-check.log
2014-04-01 23:25 varchar Note Added: 0009888
2014-04-01 23:29 Sesse Note Added: 0009889
2014-04-01 23:33 varchar File Added: varchar-glxinfo.txt
2014-04-01 23:37 varchar Note Added: 0009890
2014-04-01 23:48 Sesse Note Added: 0009891
2014-04-01 23:49 Sesse Status new => resolved
2014-04-01 23:49 Sesse Resolution open => no change required
2014-04-01 23:52 varchar Note Added: 0009892
2014-04-01 23:52 varchar Status resolved => feedback
2014-04-01 23:52 varchar Resolution no change required => reopened
2014-05-21 16:57 ttguy Note Added: 0010057
2014-06-04 02:34 varchar Note Added: 0010068
2014-06-04 02:34 varchar Status feedback => new


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker